;Exam. 2005A.Q4.asm

line = 80
row = 25
CharBW = 7

.model small
.stack 100h
.data
X dw 0

.code
	mov ax,@data
	mov ds,ax
	mov ax,0b800h
	mov es, ax
	
	part1: mov di,0
    	mov al,' '
    	mov ah,CharBW
    	mov cx,2*row*line
    	rep stosw
	
	part2: mov cx, 9
    	mov al,'1'
    	mov ah, CharBW;
    	mov di,0
    	call procd
    	
    	mov X,156
    	call procd
    	
    	mov X, 0
    	call procd
    	
    	mov ah,4ch
    	int 21h

procd:
	stosw
	inc al
	inc ah
	add di, X
	loop procd
	mov cx, 9
	mov al,'1'
	ret
end